cmake_minimum_required(VERSION 3.10.2)  # 3.10.2 is fine, but no need to go as high as 3.31.5
project(intaleq_service) # Good

# Add your C++ source file(s) to create a SHARED library.
add_library(native-lib SHARED native-lib.cpp)

# Find the Android log library.
find_library(log-lib log)

# Link your library against the log library.  This is essential for debugging.
target_link_libraries(native-lib ${log-lib})